import {select, csv, scaleLinear, max, scaleBand,axisLeft } from 'd3' ;
const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');


const render = data =>{
  const xValue = d=>d.price
  const yValue = d=>d.code
  const margin = {top:20, right:10,left:100,bottom:20};
  const innerWidth = width -margin.left - margin.right;
  const innerHeight = width -margin.top - margin.bottom;

  
  const xScale = scaleLinear()
  	.domain([0,max(data, xValue)])
  	.range([0,width]);
    console.log(xScale.domain());
  
  const yScale = scaleBand()
  	.domain( data.map(yValue))
  	.range([0,height]);
  	 console.log(yScale.domain());
  
    const yAxis = axisLeft(yScale);
  
  
  
  const g = svg.append('g')
  	.attr('transform',`translate(${margin.left},${margin.right})`);
  yAxis(g.append('g'));
  
  g.selectAll('rect').data(data)
  .enter().append('rect')
  	.attr('y',d=>yScale(yValue(d)))
  	.attr('width',d=>xScale(xValue(d)))
  	.attr('height',yScale.bandwidth());
};


csv('data.csv').then(data =>{

                    data.forEach(d=>{
                    d.price= +d.price *100;
                    });
 									 render(data);
                 });

